io.etcd.jetcd.lease

## Class LeaseTimeToLiveResponse

- java.lang.Object
- - io.etcd.jetcd.AbstractResponse<LeaseTimeToLiveResponse>
  - - io.etcd.jetcd.lease.LeaseTimeToLiveResponse

All Implemented Interfaces:
  Response

    public class LeaseTimeToLiveResponse
    extends AbstractResponse<LeaseTimeToLiveResponse>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.etcd.jetcd.Response

`Response.Header`

### Constructor Summary

Constructors
Constructor and Description
`LeaseTimeToLiveResponse(LeaseTimeToLiveResponse response)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getGrantedTTL()` GrantedTTL is the initial granted time in seconds upon lease creation/renewal.
`long` `getID()` ID is the lease ID from the keep alive request.
`List<ByteSequence>` `getKeys()` Keys is the list of keys attached to this lease.
`long` `getTTl()` TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.

### Methods inherited from class io.etcd.jetcd.AbstractResponse

`getHeader, getResponse, getResponseHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LeaseTimeToLiveResponse

    public LeaseTimeToLiveResponse(LeaseTimeToLiveResponse response)

### Method Detail

#### getID

    public long getID()

ID is the lease ID from the keep alive request.

#### getTTl

    public long getTTl()

TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.

#### getGrantedTTL

    public long getGrantedTTL()

GrantedTTL is the initial granted time in seconds upon lease creation/renewal.

#### getKeys

    public List<ByteSequence> getKeys()

Keys is the list of keys attached to this lease.